#!/usr/bin/perl

use strict;
use warnings;
use lib "~/";
use Getopt::Std;

use PVE::Storage::StorageMigrate;
my ($disk, $storage);

my %opts = ();
getopts('d:hs:', \%opts);

sub usage {
my $help = <<_EOT;
	$0 -h
	$0 -d disk -s storage
	
	-h		Show this help
	-d		Disk to migrate (\$storage:vm-\$vmid-disk-\$number)
	-s		Storage to migrate to
_EOT

	print $help;
	exit 1;
}

usage() if ((!%opts) || $opts{h});
$storage = $opts{s} if $opts{s};
$disk = $opts{d} if $opts{d};
usage() if (!$storage || !$disk);

die "$disk: Bad format\n" if ($disk !~ /^.+:(\d+\/)?vm-\d+-disk-\d+/);

my $sm = \&PVE::Storage::StorageMigrate::storage_migrate;
$sm->($disk, $storage);
#'pve-storage1_lvm:vm-102-disk-1', 'pve-storage1_nfs');
